Description

I'm finding it hard to track down issues in some games/programs. Output debug information so I can look into the problem after the

fact.

I'm thinking as a starting point something like this:

8-bit output at 4x clock:

AH,AL,D,FLAG

Where flag is: R/W,ANTIC_FETCH,ANTIC_REFRESH,NMI_N,IRQ_N

Then those with USB streaming scopes - or e.g. FX2s can capture the trace of post-analysis. We can build a validation tool vs some

emulators perhaps.

History

#1 - 07/06/2017 09:28 PM - foft

I have a first cut of this building. This will be part of the v15 core.

Next I need to build the capture software to stream this into the PC. Then some post-analysis software, probably a hacked up emulator.

#2 - 08/01/2018 10:04 PM - foft

- Priority changed from High to Normal

#3 - 11/09/2019 09:55 AM - foft

Now I have the saleae I figure I can stream this more reliably to the PC. Will have a go at this soon... Perhaps I write a protocol decoder plugin?
